  PlotParams = function()  {
            this.xMin = -5;
            this.xMax = 5;
            this.yMin = -5;
            this.yMax = 5;
            this.zMin = -5;
            this.zMax = 5;
            this.as = 11; // Abtastschritte (Sttzpunkte des Plots pro Kante)
            
            this.numOfCoordLines = (this.xMax-this.xMin+1)
                                  +(this.yMax-this.yMin+1)
                                  +(this.zMax-this.zMin+1)*2;
            
            this.numOfPlotIndizes = (this.as-1)*(this.as-1)*2*3; // Kantenlnge * (2 Dreiecke pro le) * (3 Indizes pro Dreieck)
            this.gridVertices = new Float32Array(this.numOfCoordLines*2*3  +  12+12+18);
            
             var iOffset = 0;
            
            // vertikale Linien in y-z-Ebene
            for(var i=this.xMin;i<=this.xMax;i++){
                this.gridVertices[iOffset] = i;
                this.gridVertices[iOffset+1] = 0;
                this.gridVertices[iOffset+2] = this.zMin;
                this.gridVertices[iOffset+3] = i;
                this.gridVertices[iOffset+4] = 0;
                this.gridVertices[iOffset+5] = this.zMax;
                iOffset+=6;
            }
            
            // vertikale Linien in x-z-Ebene
            for(var i=this.yMin;i<=this.yMax;i++){
                this.gridVertices[iOffset] = 0;
                this.gridVertices[iOffset+1] = i;
                this.gridVertices[iOffset+2] = this.zMin;
                this.gridVertices[iOffset+3] = 0;
                this.gridVertices[iOffset+4] = i;
                this.gridVertices[iOffset+5] = this.zMax;
                iOffset+=6;
            }
            
            //horizontale Linien in x-z-Ebene
            for(var i=this.zMin;i<=this.zMax;i++){
                this.gridVertices[iOffset] = this.xMin;
                this.gridVertices[iOffset+1] = 0;
                this.gridVertices[iOffset+2] = i;
                this.gridVertices[iOffset+3] = this.xMax;
                this.gridVertices[iOffset+4] = 0;
                this.gridVertices[iOffset+5] = i;
                iOffset+=6;
            }
            
            // horizontale Linien in y-z-Ebene
            for(var i=this.zMin;i<=this.zMax;i++){
                this.gridVertices[iOffset] = 0;
                this.gridVertices[iOffset+1] = this.yMin;
                this.gridVertices[iOffset+2] = i;
                this.gridVertices[iOffset+3] = 0;
                this.gridVertices[iOffset+4] = this.yMax;
                this.gridVertices[iOffset+5] = i;
                iOffset+=6;
            }
            
            /// X
            this.gridVertices[iOffset]= this.xMax+0.5;
            this.gridVertices[iOffset+1]= 0;
            this.gridVertices[iOffset+2]= 0.5;
            this.gridVertices[iOffset+3]= this.xMax+1;
            this.gridVertices[iOffset+4]= 0;
            this.gridVertices[iOffset+5]= -0.5;
            this.gridVertices[iOffset+6]= this.xMax+1;
            this.gridVertices[iOffset+7]= 0;
            this.gridVertices[iOffset+8]= 0.5;
            this.gridVertices[iOffset+9]= this.xMax+0.5;
            this.gridVertices[iOffset+10]= 0;
            this.gridVertices[iOffset+11]= -0.5;
            iOffset+=12;
            
            //  Y
            this.gridVertices[iOffset]= 0 ;
            this.gridVertices[iOffset+1]= this.yMax+0.5;
            this.gridVertices[iOffset+2]= 0.5;
            this.gridVertices[iOffset+3]= 0;
            this.gridVertices[iOffset+4]=  this.yMax+0.75;
            this.gridVertices[iOffset+5]= 0;
            this.gridVertices[iOffset+6]= 0;
            this.gridVertices[iOffset+7]= this.yMax+1;
            this.gridVertices[iOffset+8]= 0.5;
            this.gridVertices[iOffset+9]= 0;
            this.gridVertices[iOffset+10]= this.yMax+0.5;
            this.gridVertices[iOffset+11]= -0.5;
            iOffset+=12;
            
            
            // Z
            this.gridVertices[iOffset]= -0.5 ;
            this.gridVertices[iOffset+1]= 0;
            this.gridVertices[iOffset+2]= this.zMax+1.5;
            this.gridVertices[iOffset+3]= 0.5;
            this.gridVertices[iOffset+4]= 0 ;        
            this.gridVertices[iOffset+5]= this.zMax+1.5;
            
            this.gridVertices[iOffset+6]= -0.5;
            this.gridVertices[iOffset+7]= 0;
            this.gridVertices[iOffset+8]= this.zMax+1.5;
            this.gridVertices[iOffset+9]= 0.5;
            this.gridVertices[iOffset+10]= 0;
            this.gridVertices[iOffset+11]= this.zMax+0.5;
            
            this.gridVertices[iOffset+12]= -0.5;
            this.gridVertices[iOffset+13]= 0;
            this.gridVertices[iOffset+14]= this.zMax+0.5;
            this.gridVertices[iOffset+15]= 0.5;
            this.gridVertices[iOffset+16]= 0;
            this.gridVertices[iOffset+17]= this.zMax+0.5;
			iOffset+=18
   }
        